Summary: Xprint - the X11 print system from xprint.org
Name: xprint

%global momorel 4
%global ver_year 2004
%global ver_month 07
%global ver_day 07
%global release_ver 009
%global release_sub_ver 001
%global src0_md5sum 83a43006896fc270515a86f9ccec2c35
Version: %{release_ver}.%{release_sub_ver}
Release: %{momorel}m
Group: System Environment/Daemons
License: MIT/X
URL: http://xprint.mozdev.org/
## http://unc.dl.sourceforge.net/sourceforge/xprint/xprint-2004-07-07-release_009_001-0.9.001.src.rpm
## http://unc.dl.sourceforge.net/sourceforge/xprint/xprint_mozdev_org_source-2004-07-07-release_009_001.tar.gz
%NoSource 0 http://unc.dl.sourceforge.net/sourceforge/xprint/xprint_mozdev_org_source-%{ver_year}-%{ver_month}-%{ver_day}-release_%{release_ver}_%{release_sub_ver}.tar.gz %{src0_md5sum}

Patch0: xprint_rpmpackage.patch
Patch1: xprint-0.009.20040707-init.patch
Patch2: xprint-0.009.20040707-92xprint-xpserverlist.patch
Patch3: xprint-x86_64-ppc64.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(build): XFree86-devel, openmotif-devel

Prereq: chkconfig, initscripts
Requires: %{name}-common = %{version}-%{release}

%description
"Xprint" is an advanced printing system which enables X11 applications
to use devices like printers, FAX or create documents in formats like
PostScript, PDF, PCL, etc.

This package provides Xprt, the Xprint server compiled from
xprint.mozdev.org. This version supersedes the version from XFree86
(package xprt), which is buggy and does not work with mozilla. This
version provides full support for printing from mozilla, including
non-latin characters and MathML. TrueType fonts are supported.

%package common
Summary: Xprint - the X11 print system (configuration files)
Group: System Environment/Daemons

%description common
"Xprint" is an advanced printing system which enables X11 applications
to use devices like printers, FAX or create documents in formats like
PostScript, PDF, PCL, etc.

This package provides the configuration and postscript definition
files required to run Xprt, the Xprint server.

It may be used with both the XFree86-xprint (XFree86.org) and xprint
(xprint.org) packages, although xprt from XFree86 is currently broken.

%global _mandir   %{_prefix}/X11R6/man
%global xprintdir %{_datadir}/xprint/xserver

%prep
%__rm -rf %{name}
%setup -q -n xprint/src/xprint_main/xc

%patch0 -p3
%patch1 -p4 -b .init
%patch2 -p4 -b .xpserverlist
%patch3 -p4 -b .x86_64-ppc64~

find . -type d -a -name 'CVS' | xargs %__rm -rf

%build
%global _make_args BOOTSTRAPCFLAGS="%{optflags}"
### MUST NOT USE THE %%{_smp_mflags}.
%undefine _smp_mflags
%make World

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}

# Create and test tarball of files which should be in the final RPM...
# ${XPDESTTARFILE} is used by "make make_xprint_tarball"
XPDESTTARFILE=%{buildroot}/xprint.tar.gz
XPRINTDIR=%{xprintdir}
%__make \
  XPDESTTARFILE=${XPDESTTARFILE} \
  XPRINTDIR=${XPRINTDIR} \
  make_xprint_tarball -C packager

# Check if the temp. tarball was being build
if [ ! -f "${XPDESTTARFILE}" ]; then
  echo "# temp. tarball missing."
  exit 1
fi

# ... and then unpack the temp. tarball in the %{buildroot} dir
%__tar xzf ${XPDESTTARFILE} -C %{buildroot}
%__rm -f ${XPDESTTARFILE}

# the tarball generation script puts the files which should be installed
# in the "install/" subdir. we strip the tarball README and the
# tarball-specific "run_xprint_from_tarball.sh" and then move all stuff
# in install/* to $PWD
%__mv %{buildroot}/xprint/install/* %{buildroot}
%__rm -rf %{buildroot}xprint

# split Xprint config files so font files do not land in /etc
# (for xprt-common only)
%__mkdir_p %{buildroot}%{_sysconfdir}/xprint/{C,en_US}/print

%__mv %{buildroot}%{xprintdir}/C/print/attributes \
  %{buildroot}%{_sysconfdir}/xprint/C/print/attributes
%__ln_s -f %{_sysconfdir}/xprint/C/print/attributes \
  %{buildroot}%{xprintdir}/C/print/attributes

%__mv %{buildroot}%{xprintdir}/C/print/ddx-config \
  %{buildroot}%{_sysconfdir}/xprint/C/print/ddx-config
%__ln_s -f %{_sysconfdir}/xprint/C/print/ddx-config \
  %{buildroot}%{xprintdir}/C/print/ddx-config

%__mv %{buildroot}%{xprintdir}/en_US/print/attributes \
  %{buildroot}%{_sysconfdir}/xprint/en_US/print/attributes
%__ln_s -f %{_sysconfdir}/xprint/en_US/print/attributes \
  %{buildroot}%{xprintdir}/en_US/print/attributes

# replace bindir
%__mv %{buildroot}%{_prefix}/X11R6/bin %{buildroot}%{_bindir}

%__rm -f doc/hardcopy/XPRINT/{Imakefile,Makefile}
%__rm -rf %{buildroot}/xprint

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
if [ "$1" = "1" ]; then
  chkconfig --add xprint
fi
/sbin/service xprint condrestart

%preun
if [ "$1" = "0" ]; then
  /sbin/service xprint stop
  chkconfig --del xprint
fi

%files
%defattr(644,root,root,755)
#%%doc %dir %{_docdir}/%{name}-%{version}
%doc INSTALL* RELNOTES* bug-report registry doc/hardcopy/*
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files common
%defattr(-, root, root)
%{_sysconfdir}/X11/Xsession.d/92xprint-xpserverlist
%{_sysconfdir}/X11/xinit/xinitrc.d/92xprint-xpserverlist
%{_sysconfdir}/xprint
%{_initscriptdir}/xprint
%config(noreplace) %{_sysconfdir}/profile.d/*
%{xprintdir}

%changelog
* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (009.001-4m)
- revised docdir permission

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (009.001-3m)
- enable x86_64.

* Sun Dec 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (009.001-2m)
- fix document permission

* Fri Oct 29 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (009.001-1m)
- update to release version release_009_001

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.009.20040114-7m)
- stop daemon

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (0.009.20040114-6m)
- add PreReq: ckconfig and initscripts.

* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.009.20040114-5m)
- revised spec for rpm 4.2.

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (0.009.20040114-4m)
- modify patch1 for init script.

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (0.009.20040114-3m)
- add symlink.

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (0.009.20040114-2m)
- modify patch1.

* Sat Jan 17 2004 Kenta MURATA <muraken2@nifty.com>
- (0.009.20040114-1m)
- version 0.009.20040114.

* Fri Oct 10 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (0.0.0.20021203-0.007.1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Mar 09 2003 Kenta MURATA <muraken2@nifty.com>
- (0.0.0.20021203-0.007m)
- first specfile.
